diff -urN /tmp/old/elinks-0.11.3.orig/debian/changelog /tmp/elinks-0.11.3.orig/debian/changelog
--- /tmp/old/elinks-0.11.3.orig/debian/changelog	2008-01-13 12:43:38.000000000 +0200
+++ /tmp/elinks-0.11.3.orig/debian/changelog	2008-01-13 10:14:49.000000000 +0200
@@ -1,3 +1,11 @@
+elinks (0.11.3-1.1) unstable; urgency=low
+
+  * NMU.
+  * Added complete feature list (except FSP).
+  * Use quilt patch system.
+
+ -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 10 Jan 2008 09:35:10 +0200
+
 elinks (0.11.3-1) unstable; urgency=low
 
   * Adopted by Y Giridhar Appaji Nag <giridhar@appaji.net> (Closes: #451088)
diff -urN /tmp/old/elinks-0.11.3.orig/debian/control /tmp/elinks-0.11.3.orig/debian/control
--- /tmp/old/elinks-0.11.3.orig/debian/control	2008-01-13 12:43:38.000000000 +0200
+++ /tmp/elinks-0.11.3.orig/debian/control	2008-01-13 10:14:49.000000000 +0200
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Y Giridhar Appaji Nag <giridhar@appaji.net>
 Uploaders: Moritz Muehlenhoff <jmm@inutil.org>
-Build-Depends: debhelper (>= 5), libgnutls-dev, libgpmg1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], liblua50-dev, liblualib50-dev, libbz2-dev, libexpat1-dev (>= 1.95.6), libperl-dev, autotools-dev, gettext, asciidoc, xmlto, docbook-utils, perl
+Build-Depends: debhelper (>= 5), libgnutls-dev, libgpmg1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], liblua50-dev, liblualib50-dev, libbz2-dev, libexpat1-dev (>= 1.95.6), libperl-dev, autotools-dev, gettext, asciidoc, xmlto, docbook-utils, perl, guile-1.8-dev | guile-1.6-dev, libidn11-dev, ruby, ruby1.8-dev, python-dev, quilt
 Standards-Version: 3.7.3
 Homepage: http://elinks.or.cz/
 Vcs-Svn: git://git.debian.org/git/collab-maint/elinks.git
diff -urN /tmp/old/elinks-0.11.3.orig/debian/patches/series /tmp/elinks-0.11.3.orig/debian/patches/series
--- /tmp/old/elinks-0.11.3.orig/debian/patches/series	1970-01-01 02:00:00.000000000 +0200
+++ /tmp/elinks-0.11.3.orig/debian/patches/series	2008-01-13 10:14:49.000000000 +0200
@@ -0,0 +1,7 @@
+01_asciidoc-escape-FTBFS.diff
+02_setup-bugs-FSSTND.diff
+03_417789-CVE-2007-2027.diff
+04_380347-entity_cache-overflow.diff
+05_257762-transparency-off.diff
+06_elinks.conf-parse-error.diff
+07_local-CGI-query-fix.diff
diff -urN /tmp/old/elinks-0.11.3.orig/debian/rules /tmp/elinks-0.11.3.orig/debian/rules
--- /tmp/old/elinks-0.11.3.orig/debian/rules	2008-01-13 12:43:38.000000000 +0200
+++ /tmp/elinks-0.11.3.orig/debian/rules	2008-01-13 10:28:57.000000000 +0200
@@ -3,6 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
@@ -46,7 +48,20 @@
 	--enable-html-highlight \
 	--disable-smb \
 	--with-perl \
-	--without-spidermonkey
+	--with-spidermonkey \
+	--with-guile \
+	--enable-cgi \
+	--enable-gopher \
+	--enable-exmode \
+	--enable-bittorrent \
+	--with-python \
+	--with-ruby \
+	--enable-finger \
+	--enable-88-colors \
+	--enable-utf-8 \
+	--enable-lzma \
+	--enable-true-color
+#	--enable-fsp
 
 confopts_lite = $(confopts) \
 	--disable-nntp \
@@ -73,18 +88,6 @@
 	--without-lua \
 
 save-upstream: patch save-stamp
-patch: patch-stamp
-patch-stamp:
-	mkdir -p debian/patched
-	for pfile in debian/patches/*.diff; do \
-		[ -f "$$pfile" ] || continue; \
-		pname="$$(basename $$pfile .diff)"; \
-		[ ! -f "debian/patched/$$pname.patched" ] || continue; \
-		echo "### Applying patch $$pname"; \
-		patch -p1 -N -b -B debian/patched/ < $$pfile; \
-		cp -f "$$pfile" "debian/patched/$$pname.patched"; \
-	done
-	touch $@
 
 save-stamp:
 	dh_testdir
@@ -105,7 +108,7 @@
 build: build-arch build-indep
 
 build-arch: build-arch-stamp
-build-arch-stamp: patch-stamp save-stamp
+build-arch-stamp: debian/stamp-patched save-stamp
 	mkdir $(CURDIR)/build-main && cd $(CURDIR)/build-main && \
 		$(CURDIR)/configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		$(confopts_main) CFLAGS="$(CFLAGS_COMMON)" LDFLAGS="-Wl,-z,defs"
@@ -117,7 +120,7 @@
 	touch $@
 
 build-indep: build-indep-stamp
-build-indep-stamp: patch-stamp save-stamp
+build-indep-stamp: debian/stamp-patched save-stamp
 	$(MAKE) -C $(CURDIR)/build-main/doc all-docs
 	touch $@
 
@@ -135,17 +138,6 @@
 	rm -rf debian/tmp.elinks-data
 	dh_clean 
 
-unpatch:
-	for pfile in debian/patched/*.patched ; do \
-		[ -f "$$pfile" ] || continue; \
-		pname="$$(basename $$pfile .patched)"; \
-		[ -f "debian/patches/$$pname.diff" ] || continue; \
-		echo "### Reverting patch $$pname"; \
-		patch -p1 -N -R < $$pfile; \
-		rm -f "debian/patched/$$pname.patched"; \
-	done
-	rm -rf debian/patched patch-stamp
-
 install: install-indep install-arch
 install-indep:
 	dh_testdir
@@ -228,4 +220,4 @@
 	@ls -l $(ORIG_TAR).gz
 
 binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch patch unpatch get-orig-source save-upstream get-orig-source
+.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch get-orig-source save-upstream get-orig-source
